"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var app_1 = require("./app");
describe('Fibonacci', function () {
    it('accepts 1 parameters', function () {
        expect(function () {
            new app_1.Fibonacci(2);
        }).not.toThrow();
    });
    it('returns Correct value for N numbers', function () {
        var arr = [
            { position: 1, expected: 1 },
            { position: 5, expected: 5 },
            { position: 7, expected: 13 },
            { position: 9, expected: 34 }
        ];
        arr.forEach(function (expectations) {
            var fib = new app_1.Fibonacci(expectations.position);
            expect(fib.generate()).toEqual(expectations.expected);
        });
    });
});
//# sourceMappingURL=app.test.js.map