import {Fibonacci} from "./app";

describe('Fibonacci', function () {
    it('accepts 1 parameters', function () {
        expect(() => {
            new Fibonacci(2)
        }).not.toThrow();
    });
    it('returns Correct value for N numbers', function () {
        const arr = [
            {position: 1, expected: 1},
            {position: 5, expected: 5},
            {position: 7, expected: 13},
            {position: 9, expected: 34}
        ]
        arr.forEach((expectations) => {
            const fib = new Fibonacci(expectations.position);
            expect(fib.generate()).toEqual(expectations.expected);
        })
    });
});
